loci.formats.in

## Class InCellReader.MinimalInCellHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - loci.common.xml.BaseHandler
    - - loci.formats.in.InCellReader.MinimalInCellHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler
  Enclosing class:
    InCellReader

      class InCellReader.MinimalInCellHandler
      extends loci.common.xml.BaseHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `currentImageFile`
    `private java.lang.String` | `currentThumbnail`
    `private boolean` | `doT`
    `private boolean` | `doZ`
    `private InCellReader.Image` | `lastImage`
    `private int` | `nChannels`
    `private int` | `wellCol`
    `private int` | `wellRow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinimalInCellHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
    `void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

    - ### Methods inherited from class loci.common.xml.BaseHandler

      `resolveEntity`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `characters, endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### currentImageFile

          private java.lang.String currentImageFile

    - #### currentThumbnail

          private java.lang.String currentThumbnail

    - #### wellRow

          private int wellRow

    - #### wellCol

          private int wellCol

    - #### nChannels

          private int nChannels

    - #### doT

          private boolean doT

    - #### doZ

          private boolean doZ

    - #### lastImage

          private InCellReader.Image lastImage

  - ### Constructor Detail

    - #### MinimalInCellHandler

          MinimalInCellHandler()

  - ### Method Detail

    - #### endElement

          public void endElement(java.lang.String uri,
                                 java.lang.String localName,
                                 java.lang.String qName)

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`

    - #### startElement

          public void startElement(java.lang.String uri,
                                   java.lang.String localName,
                                   java.lang.String qName,
                                   org.xml.sax.Attributes attributes)

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`

Copyright © 2026 Open Microscopy Environment